<?php
if ( ! class_exists( 'NISHIKI_BLOCKS_PRO_FILTER_FILTER_SEARCH' ) ) {
	/**
	 * ブロックフィルター
	 */
	class NISHIKI_BLOCKS_PRO_FILTER_FILTER_SEARCH {

		/**
		 * Constructor.
		 */
		public function __construct() {
			add_action( 'init', array( $this, 'localize_script' ), 10 );
		}

		public function localize_script(){
			wp_localize_script(
				'wp-edit-post',
				'nishiki_pro_filter_search_settings',
				array(
					'home_url' => home_url( '/' )
				)
			);
		}

	}

	new NISHIKI_BLOCKS_PRO_FILTER_FILTER_SEARCH();
}
